### Method

# Gck Object get_data_async

#### Declaration [src]

    void
    gck_object_get_data_async (
      GckObject* self,
      gulong attr_type,
      GckAllocator allocator,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer user_data
    )

#### Description [src]

Get the data for the specified attribute from the object.

This call will return immediately and complete asynchronously.

This method completes asynchronously. Use `gck_object_get_data_finish()` inside the `GAsyncReadyCallback` to obtain the result of the operation.

#### Parameters

`attr_type`

  Type: `gulong`

  The attribute to get data for.

`allocator`

  Type: `GckAllocator`

  An allocator with which to allocate memory for the data, or `NULL` for default.

`cancellable`

  Type: `GCancellable`

  Optional cancellation object, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`callback`

  Type: `GAsyncReadyCallback`

  Called when the operation completes.

  The argument can be `NULL`.

`user_data`

  Type: `gpointer`

  Data to be passed to the callback.

  The argument can be `NULL`.
  The data is owned by the caller of the method.